List session messages
curl --request GET \
--url https://api.tensorpro.ai/api/v1/sessions/{session_id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tensorpro.ai/api/v1/sessions/{session_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tensorpro.ai/api/v1/sessions/{session_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messages": [
{
"content": "<string>",
"created_at": "<string>",
"id": "<string>",
"role": "<string>",
"records_used": 123,
"round_id": "<string>",
"sip_text": "<string>"
}
],
"session_id": "<string>",
"total": 123,
"user_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Sessions
List session messages
Return the turns of one of your sessions in transcript order (oldest first), paged with limit (maximum 200) and offset. Returns 404 when the session does not exist or does not belong to you.
GET
/
api
/
v1
/
sessions
/
{session_id}
/
messages
List session messages
Authorizations
EDN API key presented as a bearer token in the Authorization header ('Authorization: Bearer '). Create and manage keys from the Console.
Path Parameters
Query Parameters
Max messages to return (capped at 200)
Required range:
x >= 1Pagination offset
Required range:
x >= 0